Package org.apache.struts2.config

# Class AbstractBeanSelectionProvider

java.lang.Object
org.apache.struts2.config.AbstractBeanSelectionProvider

All Implemented Interfaces:
  `BeanSelectionProvider`, `ConfigurationProvider`, `ContainerProvider`, `PackageProvider`

Direct Known Subclasses:
  `StrutsBeanSelectionProvider`

public abstract class AbstractBeanSelectionProvider extends Object implements BeanSelectionProvider
TODO lukaszlenart: write a JavaDoc

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_BEAN_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractBeanSelectionProvider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `alias(Class type, String key, ContainerBuilder builder, Properties props)`
  `protected void`
  `alias(Class type, String key, ContainerBuilder builder, Properties props, Scope scope)`
  `void`
  `destroy()`
  Called before removed from the configuration manager
  `void`
  `init(Configuration configuration)`
  Initializes with the configuration
  `void`
  `loadPackages()`
  Loads the packages for the configuration.
  `boolean`
  `needsReload()`
  Tells whether the ContainerProvider should reload its configuration

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.struts2.config.ContainerProvider

  `register`

- ## Field Details

  - ### DEFAULT_BEAN_NAME

    public static final String DEFAULT_BEAN_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AbstractBeanSelectionProvider

    public AbstractBeanSelectionProvider()

- ## Method Details

  - ### destroy

    public void destroy()
    Description copied from interface: `ContainerProvider`
    Called before removed from the configuration manager
    Specified by:
      `destroy` in interface `ContainerProvider`

  - ### loadPackages

    public void loadPackages() throws ConfigurationException
    Description copied from interface: `PackageProvider`
    Loads the packages for the configuration.
    Specified by:
      `loadPackages` in interface `PackageProvider`
    Throws:
      `ConfigurationException` - in case of configuration errors

  - ### init

    public void init(Configuration configuration) throws ConfigurationException
    Description copied from interface: `ContainerProvider`
    Initializes with the configuration
    Specified by:
      `init` in interface `ContainerProvider`
    Specified by:
      `init` in interface `PackageProvider`
    Parameters:
      `configuration` - The configuration
    Throws:
      `ConfigurationException` - If anything goes wrong

  - ### needsReload

    public boolean needsReload()
    Description copied from interface: `ContainerProvider`
    Tells whether the ContainerProvider should reload its configuration
    Specified by:
      `needsReload` in interface `ContainerProvider`
    Specified by:
      `needsReload` in interface `PackageProvider`
    Returns:
      `true`, whether the ContainerProvider should reload its configuration, `false`otherwise.

  - ### alias

    protected void alias(Class type, String key, ContainerBuilder builder, Properties props)

  - ### alias

    protected void alias(Class type, String key, ContainerBuilder builder, Properties props, Scope scope)